! Functiile: fk(u), dfk(u); ga(u,u'); dga(u,u')=dg/du; dga1(u,u')=dg/du'; p(t)
! Ecuatie liniara (Exemplele: cos; sin; fortat; stiff)
function fk(u)
use work

implicit real(8) (a-h, o-z)

! Liniara:
! om2 =omega**2
fk =k*u


end function fk

function dfk(u)
! Derivata lui fk
use work

implicit real(8) (a-h, o-z)

! Liniara:
! om2 =omega**2
dfk =k


end function dfk

!---------------------------------------------------------
function ga(u,v)
use work

implicit real(8) (a-h, o-z)

! Liniara:
ga =c*v

end function ga


function dga(u,v)
! Derivata lui ga
use work

implicit real(8) (a-h, o-z)

! Liniara:
dga =0


end function dga

function dga1(u,v)
! Derivata lui ga
use work

implicit real(8) (a-h, o-z)

! Liniara:
dga1 =c


end function dga1


!---------------------------------------------------------
function p(t)
use work

implicit real(8) (a-h, o-z)

! Armonica:
p =p0*dsin(omp*t)


end function p

